Upstream information

CVE-2020-15095 at MITRE

Description

Versions of the npm CLI prior to 6.14.6 are vulnerable to an information exposure vulnerability through log files. The CLI supports URLs like "://[[:]@][:][:][/]". The password value is not redacted and is printed to stdout and also to any generated log files.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.4 5.5
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Access Vector Local Local
Access Complexity High Low
Privileges Required Low Low
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1173937 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • nodejs10 >= 10.22.1-1.27.1
  • nodejs10-devel >= 10.22.1-1.27.1
  • nodejs10-docs >= 10.22.1-1.27.1
  • npm10 >= 10.22.1-1.27.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-2829
SUSE Linux Enterprise Module for Web Scripting 12
  • nodejs10 >= 10.22.1-1.30.1
  • nodejs10-devel >= 10.22.1-1.30.1
  • nodejs10-docs >= 10.22.1-1.30.1
  • nodejs12 >= 12.18.4-1.20.1
  • nodejs12-devel >= 12.18.4-1.20.1
  • nodejs12-docs >= 12.18.4-1.20.1
  • npm10 >= 10.22.1-1.30.1
  • npm12 >= 12.18.4-1.20.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2020-2812
SUSE-SLE-Module-Web-Scripting-12-2020-2823
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • nodejs10 >= 10.22.1-1.27.1
  • nodejs10-devel >= 10.22.1-1.27.1
  • nodejs10-docs >= 10.22.1-1.27.1
  • nodejs8 >= 8.17.0-3.38.1
  • nodejs8-devel >= 8.17.0-3.38.1
  • nodejs8-docs >= 8.17.0-3.38.1
  • npm10 >= 10.22.1-1.27.1
  • npm8 >= 8.17.0-3.38.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP1-2020-2829
SUSE-SLE-Module-Web-Scripting-15-SP1-2020-2870
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • nodejs10 >= 10.22.1-1.27.1
  • nodejs10-devel >= 10.22.1-1.27.1
  • nodejs10-docs >= 10.22.1-1.27.1
  • nodejs12 >= 12.18.4-4.6.1
  • nodejs12-devel >= 12.18.4-4.6.1
  • nodejs12-docs >= 12.18.4-4.6.1
  • nodejs8 >= 8.17.0-10.3.1
  • nodejs8-devel >= 8.17.0-10.3.1
  • nodejs8-docs >= 8.17.0-10.3.1
  • npm10 >= 10.22.1-1.27.1
  • npm12 >= 12.18.4-4.6.1
  • npm8 >= 8.17.0-10.3.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP2-2020-2800
SUSE-SLE-Module-Web-Scripting-15-SP2-2020-2813
SUSE-SLE-Module-Web-Scripting-15-SP2-2020-2829
SUSE Linux Enterprise Module for Web Scripting 15 SP3
  • nodejs12 >= 12.21.0-4.13.2
  • nodejs12-devel >= 12.21.0-4.13.2
  • nodejs12-docs >= 12.21.0-4.13.2
  • nodejs14 >= 14.16.0-5.9.1
  • nodejs14-devel >= 14.16.0-5.9.1
  • nodejs14-docs >= 14.16.0-5.9.1
  • npm12 >= 12.21.0-4.13.2
  • npm14 >= 14.16.0-5.9.1
SUSE Linux Enterprise Server 15-LTSS
  • nodejs10 >= 10.22.1-1.27.1
  • nodejs10-devel >= 10.22.1-1.27.1
  • nodejs10-docs >= 10.22.1-1.27.1
  • npm10 >= 10.22.1-1.27.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-2829
SUSE Linux Enterprise Server for SAP Applications 15
  • nodejs10 >= 10.22.1-1.27.1
  • nodejs10-devel >= 10.22.1-1.27.1
  • nodejs10-docs >= 10.22.1-1.27.1
  • npm10 >= 10.22.1-1.27.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-2829
openSUSE Leap 15.1
  • nodejs8 >= 8.17.0-lp151.2.21.1
  • nodejs8-devel >= 8.17.0-lp151.2.21.1
  • nodejs8-docs >= 8.17.0-lp151.2.21.1
  • npm8 >= 8.17.0-lp151.2.21.1
Patchnames:
openSUSE-2020-1644
openSUSE Leap 15.2
  • nodejs10 >= 10.22.1-lp152.2.6.1
  • nodejs10-devel >= 10.22.1-lp152.2.6.1
  • nodejs10-docs >= 10.22.1-lp152.2.6.1
  • nodejs12 >= 12.18.4-lp152.3.6.1
  • nodejs12-devel >= 12.18.4-lp152.3.6.1
  • nodejs12-docs >= 12.18.4-lp152.3.6.1
  • npm10 >= 10.22.1-lp152.2.6.1
  • npm12 >= 12.18.4-lp152.3.6.1
Patchnames:
openSUSE-2020-1616
openSUSE-2020-1660
openSUSE Tumbleweed
  • nodejs14 >= 14.17.5-1.2
  • nodejs14-devel >= 14.17.5-1.2
  • nodejs14-docs >= 14.17.5-1.2
  • npm14 >= 14.17.5-1.2
Patchnames:
openSUSE Tumbleweed GA nodejs14-14.17.5-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 nodejs10 Released
SUSE CaaS Platform 4.0 nodejs8 In progress
SUSE Enterprise Storage 4 nodejs6 Unsupported
SUSE Enterprise Storage 6 nodejs10 Released
SUSE Enterprise Storage 6 nodejs8 In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs10 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs8 In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs10 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs8 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs10 Released
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs12 Released
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs14 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs4 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs6 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 nodejs10 Affected
SUSE Linux Enterprise Module for Web and Scripting 15 nodejs8 Affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 nodejs10 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 nodejs8 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs10 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs12 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs14 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs8 Released
SUSE Linux Enterprise Server 15 LTSS nodejs10 Released
SUSE Linux Enterprise Server 15 LTSS nodejs8 In progress
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs10 Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs8 In progress
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs10 Released
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs8 In progress
SUSE Linux Enterprise Server ESPOS 15 nodejs10 Released
SUSE Linux Enterprise Server ESPOS 15 nodejs8 In progress
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Released
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs10 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs8 In progress
SUSE Manager Proxy 4.0 nodejs10 Released
SUSE Manager Proxy 4.0 nodejs8 In progress
SUSE Manager Retail Branch Server 4.0 nodejs10 Released
SUSE Manager Retail Branch Server 4.0 nodejs8 In progress
SUSE Manager Server 4.0 nodejs10 Released
SUSE Manager Server 4.0 nodejs8 In progress
SUSE OpenStack Cloud 7 nodejs6 In progress
SUSE OpenStack Cloud Crowbar 8 nodejs6 In progress
SUSE OpenStack Cloud Crowbar 9 nodejs6 In progress